Skip to main content
GET
/
payment
/
api
/
v1
/
custody-wallet
/
transfer
/
{transaction_id}
Get Custody Wallet Transfer Status
curl --request GET \
  --url https://api.carbnconnect.com/payment/api/v1/custody-wallet/transfer/{transaction_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.carbnconnect.com/payment/api/v1/custody-wallet/transfer/{transaction_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.carbnconnect.com/payment/api/v1/custody-wallet/transfer/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "6956a36c-528b-43c3-bc39-6000dc234fd8",
  "custody_wallet_id": "c10dad79-4bd8-47f4-933e-4f197c5af680",
  "to_address": "3BsSGETYNCjfULdgYEBVmzwXgaspS6E5pgncJr3bfBeU",
  "crypto": "usdc",
  "source_amount": 1,
  "destination_amount": 1,
  "status": "IN_REVIEW",
  "created_at": "2026-02-01T07:13:14.622520Z",
  "updated_at": "2026-02-01T07:18:18.355060Z"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Must be included in the x-api-key header.

Path Parameters

transaction_id
string<uuid>
required

The unique identifier of the transfer transaction

Response

Transfer status retrieved successfully

id
string<uuid>

Unique identifier of the transfer

Example:

"6956a36c-528b-43c3-bc39-6000dc234fd8"

custody_wallet_id
string<uuid>

Source custody wallet ID

Example:

"c10dad79-4bd8-47f4-933e-4f197c5af680"

to_address
string

Destination wallet address

Example:

"3BsSGETYNCjfULdgYEBVmzwXgaspS6E5pgncJr3bfBeU"

crypto
string

Cryptocurrency transferred

Example:

"usdc"

source_amount
number

Amount debited from source

Example:

1

destination_amount
number

Amount credited to destination

Example:

1

status
string

Current transfer status

Example:

"IN_REVIEW"

created_at
string<date-time>

When the transfer was created

Example:

"2026-02-01T07:13:14.622520Z"

updated_at
string<date-time>

When the transfer was last updated

Example:

"2026-02-01T07:18:18.355060Z"